//
// DLL PostLinker Panel.h
//
// Document Author: Thomas Tempelmann (TT)
// Document Contributors: James F. Milne (JFM)
//
// Purpose: Header containing data common to both the
//	postlinker and preferences panel for the RB DLL
//	postlinker for CodeWarrior.
//
// Revision History:
//

#ifndef _H_SamplePanel
#define _H_SamplePanel

#ifndef __TYPES__
#	include <Types.h>
#endif


#pragma options align=mac68k

#define kDLLPanelName	"RB DLL Plugin Panel"

/* current version number for our prefs data */
#define PDLL_LINKERPANEL1		1
#define PDLL_LINKERPANELCURRENT	2


/*
 *	AppleScript dictionary info.  As a rule of thumb, dropin panels should use the 
 *	same terminology and numeric code in their 'aete' that the IDE uses if there 
 *	is already a similar item in the IDE's 'aete'.  That is the case here, so we 
 *	merely duplicate applicable 68K Project and 68K Linker user terms below.
 */

#if 0
	enum {
	/*	Symbolic Name				   Code		AETE Terminology		*/
		class_Sample				= 'Samp',

		prefsPR_ProjectType			= 'PR01',	/* Project Type			*/
		prefsPR_FileName			= 'PR02',	/* File Name			*/
		prefsLN_GenerateSymFile		= 'LN02',	/* Generate SYM File	*/
		
		/* enumeration for project type */
		enumeration_ProjectType		= 'PRPT',
		enum_Project_Application	= 'PRPA',	/* application			*/
		enum_Project_Library		= 'PRPL',	/* library				*/
		enum_Project_SharedLibrary	= 'PRPS',	/* shared library		*/
		enum_Project_CodeResource	= 'PRPC',	/* code resource		*/
		enum_Project_MPWTool		= 'PRPM'	/* MPW tool				*/
	};
#endif


/*	This is the structure that is manipulated by the panel.  The sample 
 *	compiler & linker both "know" about this structure.
 */

typedef struct DLL_LinkerPref {
	short	version;			/* version # of prefs data	*/
	Str31	outfileName;
	short	outresID;
} DLL_LinkerPref, **DLL_LinkerPrefHndl;

#pragma options align=reset


#endif	/* _H_SamplePanel */
